Skip to main content
`Ctrl`+`K`

# MFNMonitorFn

A function prototype for functions provided to `MFNMonitorSet()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MFNMonitorFn(MFN mfn,PetscInt its,PetscReal errest,void *ctx);

## Calling Sequence

- mfn - the matrix function solver context

- its - iteration number

- errest - error estimate

- ctx - optional monitoring context, as provided with `MFNMonitorSet()`

## See Also

MFN: Matrix Function, `MFNMonitorSet()`

## Level

intermediate

## Location

include/slepcmfn.h

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages